Jump to content

TonP

Members
  • Content Count

    115
  • Joined

  • Last visited

Community Reputation

0 Neutral

Recent Profile Visitors

7,412 profile views
  1. I was recently contacted by someone who wanted to install the Code Capture Tool, and was unsuccessful, I tried to reproduce and indeed I couldn't either. I cannot uninstall it either. Here's are some log entries: =========== START of VIPM 2014.0.0 (build 1941) Error Message =========== An internal VIPM 2014.0.0 (build 1941) Error has occured on: Tuesday June 03, 2014 at 08:00:20 p.m. = Automated Message Start = Error 1 occurred at (Package "lava_lib_code_capture_tool-3.2.2-48"is not cached) 6AB39A648CE6EFC743A3CD12262AD578 in OGPM Class.lvlib:04D268DDDD5A7242818EDB49A7B8F587->Pkg Props.lvclass:VIPM Package Properties SubPanel.vi Possible reason(s): LabVIEW: An input parameter is invalid. For example if the input is a path, the path might contain a character not allowed by the OS such as ? or @. = Automated Message End = = User Defined Message Start = Error within the package detailed information section of the package properties dialog. = User Defined Message End = = Error Handler Call Chain Start = Pkg Props.lvclass:VIPM Package Properties SubPanel.vi = Error Handler Call Chain End = =========== END of VIPM 2014.0.0 (build 1941) Error Message =========== =========== START of VIPM 2014.0.0 (build 1941) Error Message =========== An internal VIPM 2014.0.0 (build 1941) Error has occured on: Tuesday June 03, 2014 at 07:49:58 p.m. = Automated Message Start = Error 7 occurred at File/Directory Info in ZLIB Open Unzip Archive__ogtk.vi->AA61FABC2E7B6BB4F479C1EF2F8565E5->1E20EF8033E06EC036DD5478ABAD1DFB->Pkg Props.lvclass:894662ADE214661F5CC3C735CC2C45C3->Pkg Props.lvclass:3DF45ADBE7799DE18D60C46D288ABA39->Pkg Props.lvclass:VIPM Package Properties Window.vi->VIPM Main Window.vi Possible reason(s): LabVIEW: File not found. The file might be in a different location or deleted. Use the command prompt or the file explorer to verify that the path is correct. C:\ProgramData\JKI\VIPM\cache\lava_lib_code_capture_tool-3.2.2-48.ogp = Automated Message End = = User Defined Message Start = Error inside Package Properties Window = User Defined Message End = = Error Handler Call Chain Start = VIPM Main Window.vi-> Pkg Props.lvclass:VIPM Package Properties Window.vi = Error Handler Call Chain End = =========== END of VIPM 2014.0.0 (build 1941) Error Message =========== =========== START of VIPM 2014.0.0 (build 1941) Error Message =========== An internal VIPM 2014.0.0 (build 1941) Error has occured on: Tuesday June 03, 2014 at 07:46:25 p.m. = Automated Message Start = Error 7 occurred at Copy in 28CB9C127591D50539121BFBB7FC977A->OGPM Class.lvlib:CD51A92C2C25771313A68E451CAA1620:2760001->18351B6FFCB82C7CA89533614A3DDF25->7D2504E31560 7556304537B0CF46AA0D->VIPM Main Window.vi Possible reason(s): LabVIEW: File not found. The file might be in a different location or deleted. Use the command prompt or the file explorer to verify that the path is correct. C:\ProgramData\JKI\VIPM\cache\lava_lib_code_capture_tool-3.2.2-48.ogp. File Path: "C:\ProgramData\JKI\VIPM\cache\lava_lib_code_capture_tool-3.2.2-48.ogp". = Automated Message End = = User Defined Message Start = Add To Library = User Defined Message End = = Error Handler Call Chain Start = VIPM Main Window.vi-> 7D2504E315607556304537B0CF46AA0D = Error Handler Call Chain End = =========== END of VIPM 2014.0.0 (build 1941) Error Message =========== Further info: VIPM 2014 build 1941 Win 8.1 64-bit Dutch with english language pack Any ideas?
  2. I'm using VIPM 2013 build 1878 on Windows 8, when I open a package to install it, VIPM will remain maximized untill I hit the install button. After installation the size is not returned to maximized. This is not isolated to one particular package. The main annoying thing is that is that the new (moved) window covers a litte lib tof the task bar. Screencast (make sure to watch it on a large enough window) http://screencast.com/t/KVkv1Nlh9XET Ton
  3. this is a known issue in the LabVIEW timestamp fomratter... It's fixed in LabVIEW 2012, so when easyXML is used in LV 2012 it will most likely be fixed as well. Ton
  4. I have a weird situation where VIPM isn't showing a package is installed. However when I install the package I get the following error: Stating that the package is allread installed. Trying to install an older version fails as well. Is there some way to update my database? Ton
  5. (some thoughts about the upgrade) I started VIPM (2012.0.1.1814), and VIPM noticed a newer version, I agreed to download and a dialog showing the download progress with an abort button appeared. I clicked another program during download, and returned to VIPM via the taskbar. This showed the main screen, not the small download window. I think the download window should be modal In the window that started after the update it's ahrd to spot what version I am installing. It says in bold the currently installed version. The new version is only shown in the title bar window. I get no motivation to upgrade (upgrade notes, improvements etc.) All in all the upgrade went smooth! Thanks, Ton
  6. I use multiple directories because: I have seperate configurations for the Code Capture Tool Endevo/Symbio GOOP got confused It's the default probe location, and it's kinda pity that LV 2011 resaves my LV 2009 probes And I use a custom location because 'My Documents' is being hosted on a network drive. And I am not always connected, but LabVIEW uses the Data Directory as the 'auto backup location' Ton
  7. Yes that would work IF my LabVIEW folder was in the default location (which it isn't since I have multiple LabVIEW versions). I still consider this a bug. I was wondering if the same happenend on yoursystem. Ton
  8. Rather strange one, perform the following actions: Open VIPM Open a package from the Windows Explorer Cancel the 'Install dialog' of VIPM Try to open another (or the same) package Somehow canceling the 'Install package' dialog makes VIPM unaware of new files being openend. See attachement Ton VIPM_cancelbug.swf
  9. I am trying to build a Glyph set. Unfortunately the Default Data Directory is not available in VIPM, so I added that as a custom target, with an absolute path. However the files are not added to the VIP file. If I move one of the files (all are PNGs) to a supported folder ( for instance), that file is added to the VIP file. The attachment has my full project: -Icons (contains the VIPB file and all the PNGs to be included) -the resulting VIP packages with only one PNG included. Details: VIPM 2012.0.0 build 1780 LabVIEW 2011 f1 Win XP English Ton buildingCustomTarget.zip
  10. I'm looking for fresh ideas involving an issue I have with upgrading a specific kind of package. I'm building a package that uses a DLL, and the DLL is used by LabVIEW after the first restart since installing. So when I want to upgrade the package, VIPM returns an error 8 upon overwriting the DLL, and does not succeed in installing the package (and all other files are removed). To succesfully install the package I need to fail in upgrading the package (or remove the package) restart LabVIEW (and get a dialog from LabVIEW) upgrade the package restart LabVIEW Does anybody have an idea how to smooth this process? Ton
  11. Yes that would be sufficient (no need to mimic IE or FF or ...), I'm not sure if it's wise to include the version since that would cost more maintenance on your side. Ton
  12. Our company proxy uses a User Agent white listening method to prevent malicious apps to throttle the internet. The easiest solution for me to use VIPM is a User Agent in the HTTP calls from VIPM. So please add this functionality. Ton
  13. That's a special setting in the Palette item for that specific VI. I think it's called 'Place VI Contents'. Ton
  14. Here's a minor bug: Install a package Do not finish the installation dialog, just rest in the 'installed' dialog Locate a package not in VIPM, right click the file and select 'Add to VIPM' Switch to VIPM, finish the installation dialog and notice that the new package is not added. Special cases involved: OGP packages The new package is an upgrade of the package I was installing VIPM 2010 Windows 7 Ton
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.